
from __future__ import print_function
import unittest
from robotgame.logic.colourboxes import *


class ColourboxesTest(unittest.TestCase):
    def test_generation(self):
        for args in ((1, 2),
                     (3, 3),
                     (4, 6)):
            boxes = generate_colour_boxes(*args)
            print()
            for box in boxes:
                print(box)
            self.assertTrue(makes_all_wells_white(boxes))

if __name__ == '__main__':
    unittest.main()
